API referenceUploads
Import the media of one social post
View as MarkdownOpen in ClaudeOpen in ChatGPTConnect the roasOS MCP server: https://mcp.roasos.com/mcp
Authorization
bearerAuth AuthorizationBearer <token>
API key authentication. Use your API key as the bearer token: Authorization: Bearer roasos_sk_...
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/v1/uploads/social" \ -H "Content-Type: application/json" \ -d '{ "url": "http://example.com", "media_rights": { "accepted": true, "statement_version": 0, "policy_version": "string" } }'{ "data": { "platform": "tiktok", "source_url": "http://example.com", "author": "string", "caption": "string", "items": [ { "upload_id": "f2ef591b-135b-46fa-a604-3d4fda5bfbfb", "kind": "image", "url": "http://example.com", "content_type": "string", "byte_length": 0 } ], "skipped": 0 }}